### Signal

# Gtk.Gesture::sequence-state-changed

#### Declaration

    void
    sequence_state_changed (
      GtkGesture self,
      GdkEventSequence* sequence,
      GtkEventSequenceState state,
      gpointer user_data
    )

#### Description [src]

Emitted whenever a sequence state changes.

See `gtk_gesture_set_sequence_state()` to know more about the expectable sequence lifetimes.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`

#### Parameters

`sequence` | `GdkEventSequence*`
| the `GdkEventSequence` that was cancelled
| Can be `NULL`
| Ownership is not transferred to the callee
`state` | `GtkEventSequenceState`
| the new sequence state